/*===========================================================================*/
/*   (Llib/ucs2.scm)                                                         */
/*   Bigloo (4.7a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Feb 19 09:11:58 AM CET 2026     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.7a/bin/bigloo -srfi bigloo-safe -O3 -fcfa-arithmetic -q -lib-dir /home/serrano/prgm/project/bigloo/4.7a/lib/bigloo/4.7a +rm -O3 -mklib -cc gcc -fsharing -q -unsafev -eval (set! *indent* 4) -stdc -c Llib/ucs2.scm -indent -o objs/obj_s/Llib/ucs2.c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL___UCS2_TYPE_DEFINITIONS
#define BGL___UCS2_TYPE_DEFINITIONS
#endif // BGL___UCS2_TYPE_DEFINITIONS
#endif // BGL_MODULE_TYPE_DEFINITIONS

static obj_t BGl_z62ucs2ze3zf3z72zz__ucs2z00(obj_t, obj_t, obj_t);
static obj_t BGl_z62ucs2zd2upcasezb0zz__ucs2z00(obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_ucs2zd2cizc3zf3ze2zz__ucs2z00(ucs2_t, ucs2_t);
BGL_EXPORTED_DECL bool_t BGl_ucs2zc3zd3zf3ze3zz__ucs2z00(ucs2_t, ucs2_t);
static obj_t BGl_z62ucs2zc3zd3zf3z81zz__ucs2z00(obj_t, obj_t, obj_t);
static obj_t BGl_z62ucs2zd2lowerzd2casezf3z91zz__ucs2z00(obj_t, obj_t);
static obj_t BGl_z62ucs2zd2ze3charz53zz__ucs2z00(obj_t, obj_t);
static obj_t BGl_z62integerzd2ze3ucs2zd2urz81zz__ucs2z00(obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__ucs2z00 = BUNSPEC;
BGL_EXPORTED_DECL bool_t BGl_ucs2zd2cizd3zf3zf2zz__ucs2z00(ucs2_t, ucs2_t);
BGL_EXPORTED_DECL bool_t BGl_ucs2zd2cize3zf3zc2zz__ucs2z00(ucs2_t, ucs2_t);
BGL_EXPORTED_DECL ucs2_t BGl_integerzd2ze3ucs2z31zz__ucs2z00(int);
extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__ucs2z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_EXPORTED_DECL bool_t BGl_ucs2zc3zf3z30zz__ucs2z00(ucs2_t, ucs2_t);
static obj_t BGl_z62ucs2zd2alphabeticzf3z43zz__ucs2z00(obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_ucs2zf3zf3zz__ucs2z00(obj_t);
extern bool_t ucs2_digitp(ucs2_t);
BGL_EXPORTED_DECL int BGl_ucs2zd2ze3integerz31zz__ucs2z00(ucs2_t);
BGL_EXPORTED_DECL bool_t BGl_ucs2ze3zd3zf3zc3zz__ucs2z00(ucs2_t, ucs2_t);
BGL_EXPORTED_DECL bool_t BGl_ucs2zd3zf3z20zz__ucs2z00(ucs2_t, ucs2_t);
BGL_EXPORTED_DECL bool_t BGl_ucs2zd2numericzf3z21zz__ucs2z00(ucs2_t);
static obj_t BGl_z62ucs2ze3zd3zf3za1zz__ucs2z00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL ucs2_t BGl_ucs2zd2downcasezd2zz__ucs2z00(ucs2_t);
BGL_EXPORTED_DECL ucs2_t BGl_charzd2ze3ucs2z31zz__ucs2z00(unsigned char);
extern unsigned char BGl_integerzd2ze3charz31zz__r4_characters_6_6z00(long);
static obj_t BGl_cnstzd2initzd2zz__ucs2z00(void);
BGL_EXPORTED_DECL bool_t BGl_ucs2ze3zf3z10zz__ucs2z00(ucs2_t, ucs2_t);
BGL_EXPORTED_DECL bool_t BGl_ucs2zd2upperzd2casezf3zf3zz__ucs2z00(ucs2_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__ucs2z00(void);
BGL_EXPORTED_DECL bool_t BGl_ucs2zd2cizc3zd3zf3z31zz__ucs2z00(ucs2_t, ucs2_t);
extern ucs2_t ucs2_tolower(ucs2_t);
static obj_t BGl_gczd2rootszd2initz00zz__ucs2z00(void);
static obj_t BGl_z62integerzd2ze3ucs2z53zz__ucs2z00(obj_t, obj_t);
static obj_t BGl_z62charzd2ze3ucs2z53zz__ucs2z00(obj_t, obj_t);
static obj_t BGl_z62ucs2zf3z91zz__ucs2z00(obj_t, obj_t);
BGL_EXPORTED_DECL ucs2_t BGl_ucs2zd2upcasezd2zz__ucs2z00(ucs2_t);
static obj_t BGl_z62ucs2zd2cizc3zd3zf3z53zz__ucs2z00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_ucs2zd2whitespacezf3z21zz__ucs2z00(ucs2_t);
extern bool_t ucs2_upperp(ucs2_t);
static obj_t BGl_z62ucs2zd2ze3integerz53zz__ucs2z00(obj_t, obj_t);
static obj_t BGl_z62ucs2zd2numericzf3z43zz__ucs2z00(obj_t, obj_t);
static obj_t BGl_z62ucs2zd2downcasezb0zz__ucs2z00(obj_t, obj_t);
extern bool_t ucs2_definedp(int);
extern ucs2_t ucs2_toupper(ucs2_t);
extern obj_t bstring_to_symbol(obj_t);
static obj_t BGl_symbol1534z00zz__ucs2z00 = BUNSPEC;
extern bool_t ucs2_whitespacep(ucs2_t);
BGL_EXPORTED_DECL bool_t BGl_ucs2zd2cize3zd3zf3z11zz__ucs2z00(ucs2_t, ucs2_t);
BGL_EXPORTED_DECL bool_t BGl_ucs2zd2lowerzd2casezf3zf3zz__ucs2z00(ucs2_t);
static obj_t BGl_symbol1544z00zz__ucs2z00 = BUNSPEC;
BGL_EXPORTED_DECL ucs2_t BGl_integerzd2ze3ucs2zd2urze3zz__ucs2z00(int);
static obj_t BGl_z62ucs2zd2upperzd2casezf3z91zz__ucs2z00(obj_t, obj_t);
extern bool_t ucs2_lowerp(ucs2_t);
static obj_t BGl_z62ucs2zd2cize3zd3zf3z73zz__ucs2z00(obj_t, obj_t, obj_t);
static obj_t BGl_z62ucs2zd2cizc3zf3z80zz__ucs2z00(obj_t, obj_t, obj_t);
extern bool_t ucs2_letterp(ucs2_t);
BGL_EXPORTED_DECL bool_t BGl_ucs2zd2alphabeticzf3z21zz__ucs2z00(ucs2_t);
static obj_t BGl_z62ucs2zd2cizd3zf3z90zz__ucs2z00(obj_t, obj_t, obj_t);
static obj_t BGl_z62ucs2zc3zf3z52zz__ucs2z00(obj_t, obj_t, obj_t);
static obj_t BGl_z62ucs2zd2cize3zf3za0zz__ucs2z00(obj_t, obj_t, obj_t);
static obj_t BGl_z62ucs2zd2whitespacezf3z43zz__ucs2z00(obj_t, obj_t);
static obj_t BGl_z62ucs2zd3zf3z42zz__ucs2z00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL unsigned char BGl_ucs2zd2ze3charz31zz__ucs2z00(ucs2_t);
extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
static obj_t *__cnst;


DEFINE_EXPORT_BGL_PROCEDURE(BGl_integerzd2ze3ucs2zd2urzd2envz31zz__ucs2z00, BgL_bgl_za762integerza7d2za7e31549za7, BGl_z62integerzd2ze3ucs2zd2urz81zz__ucs2z00, 0L, BUNSPEC, 1);
DEFINE_EXPORT_BGL_PROCEDURE(BGl_ucs2zc3zf3zd2envze2zz__ucs2z00, BgL_bgl_za762ucs2za7c3za7f3za7521550z00, BGl_z62ucs2zc3zf3z52zz__ucs2z00, 0L, BUNSPEC, 2);
DEFINE_EXPORT_BGL_PROCEDURE(BGl_ucs2zf3zd2envz21zz__ucs2z00, BgL_bgl_za762ucs2za7f3za791za7za7_1551za7, BGl_z62ucs2zf3z91zz__ucs2z00, 0L, BUNSPEC, 1);
DEFINE_EXPORT_BGL_PROCEDURE(BGl_ucs2zd2upcasezd2envz00zz__ucs2z00, BgL_bgl_za762ucs2za7d2upcase1552z00, BGl_z62ucs2zd2upcasezb0zz__ucs2z00, 0L, BUNSPEC, 1);
DEFINE_EXPORT_BGL_PROCEDURE(BGl_ucs2zd2cizc3zf3zd2envz30zz__ucs2z00, BgL_bgl_za762ucs2za7d2ciza7c3za71553z00, BGl_z62ucs2zd2cizc3zf3z80zz__ucs2z00, 0L, BUNSPEC, 2);
DEFINE_EXPORT_BGL_PROCEDURE(BGl_ucs2zc3zd3zf3zd2envz31zz__ucs2z00, BgL_bgl_za762ucs2za7c3za7d3za7f31554z00, BGl_z62ucs2zc3zd3zf3z81zz__ucs2z00, 0L, BUNSPEC, 2);
DEFINE_EXPORT_BGL_PROCEDURE(BGl_ucs2zd2numericzf3zd2envzf3zz__ucs2z00, BgL_bgl_za762ucs2za7d2numeri1555z00, BGl_z62ucs2zd2numericzf3z43zz__ucs2z00, 0L, BUNSPEC, 1);
BGL_DEFINE_STRING(BGl_string1515z00zz__ucs2z00, BgL_bgl_string1515za700za7za7_1556za7, "/tmp/bigloo/runtime/Llib/ucs2.scm", 33 );
BGL_DEFINE_STRING(BGl_string1516z00zz__ucs2z00, BgL_bgl_string1516za700za7za7_1557za7, "&ucs2=?", 7 );
BGL_DEFINE_STRING(BGl_string1517z00zz__ucs2z00, BgL_bgl_string1517za700za7za7_1558za7, "bucs2", 5 );
BGL_DEFINE_STRING(BGl_string1518z00zz__ucs2z00, BgL_bgl_string1518za700za7za7_1559za7, "&ucs2<?", 7 );
BGL_DEFINE_STRING(BGl_string1519z00zz__ucs2z00, BgL_bgl_string1519za700za7za7_1560za7, "&ucs2>?", 7 );
DEFINE_EXPORT_BGL_PROCEDURE(BGl_ucs2zd2alphabeticzf3zd2envzf3zz__ucs2z00, BgL_bgl_za762ucs2za7d2alphab1561z00, BGl_z62ucs2zd2alphabeticzf3z43zz__ucs2z00, 0L, BUNSPEC, 1);
BGL_DEFINE_STRING(BGl_string1520z00zz__ucs2z00, BgL_bgl_string1520za700za7za7_1562za7, "&ucs2<=?", 8 );
BGL_DEFINE_STRING(BGl_string1521z00zz__ucs2z00, BgL_bgl_string1521za700za7za7_1563za7, "&ucs2>=?", 8 );
BGL_DEFINE_STRING(BGl_string1522z00zz__ucs2z00, BgL_bgl_string1522za700za7za7_1564za7, "&ucs2-ci=?", 10 );
BGL_DEFINE_STRING(BGl_string1523z00zz__ucs2z00, BgL_bgl_string1523za700za7za7_1565za7, "&ucs2-ci<?", 10 );
BGL_DEFINE_STRING(BGl_string1524z00zz__ucs2z00, BgL_bgl_string1524za700za7za7_1566za7, "&ucs2-ci>?", 10 );
BGL_DEFINE_STRING(BGl_string1525z00zz__ucs2z00, BgL_bgl_string1525za700za7za7_1567za7, "&ucs2-ci<=?", 11 );
BGL_DEFINE_STRING(BGl_string1526z00zz__ucs2z00, BgL_bgl_string1526za700za7za7_1568za7, "&ucs2-ci>=?", 11 );
BGL_DEFINE_STRING(BGl_string1527z00zz__ucs2z00, BgL_bgl_string1527za700za7za7_1569za7, "&ucs2-alphabetic?", 17 );
BGL_DEFINE_STRING(BGl_string1528z00zz__ucs2z00, BgL_bgl_string1528za700za7za7_1570za7, "&ucs2-numeric?", 14 );
BGL_DEFINE_STRING(BGl_string1529z00zz__ucs2z00, BgL_bgl_string1529za700za7za7_1571za7, "&ucs2-whitespace?", 17 );
DEFINE_EXPORT_BGL_PROCEDURE(BGl_ucs2zd2lowerzd2casezf3zd2envz21zz__ucs2z00, BgL_bgl_za762ucs2za7d2lowerza71572za7, BGl_z62ucs2zd2lowerzd2casezf3z91zz__ucs2z00, 0L, BUNSPEC, 1);
DEFINE_EXPORT_BGL_PROCEDURE(BGl_ucs2zd2ze3charzd2envze3zz__ucs2z00, BgL_bgl_za762ucs2za7d2za7e3cha1573za7, BGl_z62ucs2zd2ze3charz53zz__ucs2z00, 0L, BUNSPEC, 1);
BGL_DEFINE_STRING(BGl_string1530z00zz__ucs2z00, BgL_bgl_string1530za700za7za7_1574za7, "&ucs2-upper-case?", 17 );
BGL_DEFINE_STRING(BGl_string1531z00zz__ucs2z00, BgL_bgl_string1531za700za7za7_1575za7, "&ucs2-lower-case?", 17 );
BGL_DEFINE_STRING(BGl_string1532z00zz__ucs2z00, BgL_bgl_string1532za700za7za7_1576za7, "&ucs2-upcase", 12 );
BGL_DEFINE_STRING(BGl_string1533z00zz__ucs2z00, BgL_bgl_string1533za700za7za7_1577za7, "&ucs2-downcase", 14 );
BGL_DEFINE_STRING(BGl_string1535z00zz__ucs2z00, BgL_bgl_string1535za700za7za7_1578za7, "integer->ucs2", 13 );
BGL_DEFINE_STRING(BGl_string1536z00zz__ucs2z00, BgL_bgl_string1536za700za7za7_1579za7, "Undefined UCS-2 character", 25 );
BGL_DEFINE_STRING(BGl_string1537z00zz__ucs2z00, BgL_bgl_string1537za700za7za7_1580za7, "integer out of range or ", 24 );
BGL_DEFINE_STRING(BGl_string1538z00zz__ucs2z00, BgL_bgl_string1538za700za7za7_1581za7, "&integer->ucs2", 14 );
BGL_DEFINE_STRING(BGl_string1539z00zz__ucs2z00, BgL_bgl_string1539za700za7za7_1582za7, "bint", 4 );
BGL_DEFINE_STRING(BGl_string1540z00zz__ucs2z00, BgL_bgl_string1540za700za7za7_1583za7, "&integer->ucs2-ur", 17 );
BGL_DEFINE_STRING(BGl_string1541z00zz__ucs2z00, BgL_bgl_string1541za700za7za7_1584za7, "&ucs2->integer", 14 );
BGL_DEFINE_STRING(BGl_string1542z00zz__ucs2z00, BgL_bgl_string1542za700za7za7_1585za7, "&char->ucs2", 11 );
BGL_DEFINE_STRING(BGl_string1543z00zz__ucs2z00, BgL_bgl_string1543za700za7za7_1586za7, "bchar", 5 );
BGL_DEFINE_STRING(BGl_string1545z00zz__ucs2z00, BgL_bgl_string1545za700za7za7_1587za7, "ucs2->char", 10 );
BGL_DEFINE_STRING(BGl_string1546z00zz__ucs2z00, BgL_bgl_string1546za700za7za7_1588za7, "UCS-2 character out of ISO-LATIN-1 range", 40 );
BGL_DEFINE_STRING(BGl_string1547z00zz__ucs2z00, BgL_bgl_string1547za700za7za7_1589za7, "&ucs2->char", 11 );
BGL_DEFINE_STRING(BGl_string1548z00zz__ucs2z00, BgL_bgl_string1548za700za7za7_1590za7, "__ucs2", 6 );
DEFINE_EXPORT_BGL_PROCEDURE(BGl_ucs2zd3zf3zd2envzf2zz__ucs2z00, BgL_bgl_za762ucs2za7d3za7f3za7421591z00, BGl_z62ucs2zd3zf3z42zz__ucs2z00, 0L, BUNSPEC, 2);
DEFINE_EXPORT_BGL_PROCEDURE(BGl_ucs2zd2cizd3zf3zd2envz20zz__ucs2z00, BgL_bgl_za762ucs2za7d2ciza7d3za71592z00, BGl_z62ucs2zd2cizd3zf3z90zz__ucs2z00, 0L, BUNSPEC, 2);
DEFINE_EXPORT_BGL_PROCEDURE(BGl_ucs2zd2cize3zd3zf3zd2envzc3zz__ucs2z00, BgL_bgl_za762ucs2za7d2ciza7e3za71593z00, BGl_z62ucs2zd2cize3zd3zf3z73zz__ucs2z00, 0L, BUNSPEC, 2);
DEFINE_EXPORT_BGL_PROCEDURE(BGl_integerzd2ze3ucs2zd2envze3zz__ucs2z00, BgL_bgl_za762integerza7d2za7e31594za7, BGl_z62integerzd2ze3ucs2z53zz__ucs2z00, 0L, BUNSPEC, 1);
DEFINE_EXPORT_BGL_PROCEDURE(BGl_ucs2zd2ze3integerzd2envze3zz__ucs2z00, BgL_bgl_za762ucs2za7d2za7e3int1595za7, BGl_z62ucs2zd2ze3integerz53zz__ucs2z00, 0L, BUNSPEC, 1);
DEFINE_EXPORT_BGL_PROCEDURE(BGl_ucs2zd2downcasezd2envz00zz__ucs2z00, BgL_bgl_za762ucs2za7d2downca1596z00, BGl_z62ucs2zd2downcasezb0zz__ucs2z00, 0L, BUNSPEC, 1);
DEFINE_EXPORT_BGL_PROCEDURE(BGl_charzd2ze3ucs2zd2envze3zz__ucs2z00, BgL_bgl_za762charza7d2za7e3ucs1597za7, BGl_z62charzd2ze3ucs2z53zz__ucs2z00, 0L, BUNSPEC, 1);
DEFINE_EXPORT_BGL_PROCEDURE(BGl_ucs2ze3zf3zd2envzc2zz__ucs2z00, BgL_bgl_za762ucs2za7e3za7f3za7721598z00, BGl_z62ucs2ze3zf3z72zz__ucs2z00, 0L, BUNSPEC, 2);
DEFINE_EXPORT_BGL_PROCEDURE(BGl_ucs2zd2upperzd2casezf3zd2envz21zz__ucs2z00, BgL_bgl_za762ucs2za7d2upperza71599za7, BGl_z62ucs2zd2upperzd2casezf3z91zz__ucs2z00, 0L, BUNSPEC, 1);
DEFINE_EXPORT_BGL_PROCEDURE(BGl_ucs2zd2cizc3zd3zf3zd2envze3zz__ucs2z00, BgL_bgl_za762ucs2za7d2ciza7c3za71600z00, BGl_z62ucs2zd2cizc3zd3zf3z53zz__ucs2z00, 0L, BUNSPEC, 2);
DEFINE_EXPORT_BGL_PROCEDURE(BGl_ucs2zd2cize3zf3zd2envz10zz__ucs2z00, BgL_bgl_za762ucs2za7d2ciza7e3za71601z00, BGl_z62ucs2zd2cize3zf3za0zz__ucs2z00, 0L, BUNSPEC, 2);
DEFINE_EXPORT_BGL_PROCEDURE(BGl_ucs2zd2whitespacezf3zd2envzf3zz__ucs2z00, BgL_bgl_za762ucs2za7d2whites1602z00, BGl_z62ucs2zd2whitespacezf3z43zz__ucs2z00, 0L, BUNSPEC, 1);
DEFINE_EXPORT_BGL_PROCEDURE(BGl_ucs2ze3zd3zf3zd2envz11zz__ucs2z00, BgL_bgl_za762ucs2za7e3za7d3za7f31603z00, BGl_z62ucs2ze3zd3zf3za1zz__ucs2z00, 0L, BUNSPEC, 2);

/* contant bindings */
static void bgl_constant_bindings() {
BGL_BIND_PROCEDURE(BGl_ucs2ze3zd3zf3zd2envz11zz__ucs2z00, BgL_bgl_za762ucs2za7e3za7d3za7f31603z00);
BGL_BIND_PROCEDURE(BGl_ucs2zd2whitespacezf3zd2envzf3zz__ucs2z00, BgL_bgl_za762ucs2za7d2whites1602z00);
BGL_BIND_PROCEDURE(BGl_ucs2zd2cize3zf3zd2envz10zz__ucs2z00, BgL_bgl_za762ucs2za7d2ciza7e3za71601z00);
BGL_BIND_PROCEDURE(BGl_ucs2zd2cizc3zd3zf3zd2envze3zz__ucs2z00, BgL_bgl_za762ucs2za7d2ciza7c3za71600z00);
BGL_BIND_PROCEDURE(BGl_ucs2zd2upperzd2casezf3zd2envz21zz__ucs2z00, BgL_bgl_za762ucs2za7d2upperza71599za7);
BGL_BIND_PROCEDURE(BGl_ucs2ze3zf3zd2envzc2zz__ucs2z00, BgL_bgl_za762ucs2za7e3za7f3za7721598z00);
BGL_BIND_PROCEDURE(BGl_charzd2ze3ucs2zd2envze3zz__ucs2z00, BgL_bgl_za762charza7d2za7e3ucs1597za7);
BGL_BIND_PROCEDURE(BGl_ucs2zd2downcasezd2envz00zz__ucs2z00, BgL_bgl_za762ucs2za7d2downca1596z00);
BGL_BIND_PROCEDURE(BGl_ucs2zd2ze3integerzd2envze3zz__ucs2z00, BgL_bgl_za762ucs2za7d2za7e3int1595za7);
BGL_BIND_PROCEDURE(BGl_integerzd2ze3ucs2zd2envze3zz__ucs2z00, BgL_bgl_za762integerza7d2za7e31594za7);
BGL_BIND_PROCEDURE(BGl_ucs2zd2cize3zd3zf3zd2envzc3zz__ucs2z00, BgL_bgl_za762ucs2za7d2ciza7e3za71593z00);
BGL_BIND_PROCEDURE(BGl_ucs2zd2cizd3zf3zd2envz20zz__ucs2z00, BgL_bgl_za762ucs2za7d2ciza7d3za71592z00);
BGL_BIND_PROCEDURE(BGl_ucs2zd3zf3zd2envzf2zz__ucs2z00, BgL_bgl_za762ucs2za7d3za7f3za7421591z00);
BGL_BIND_STRING(BGl_string1548z00zz__ucs2z00, BgL_bgl_string1548za700za7za7_1590za7);
BGL_BIND_STRING(BGl_string1547z00zz__ucs2z00, BgL_bgl_string1547za700za7za7_1589za7);
BGL_BIND_STRING(BGl_string1546z00zz__ucs2z00, BgL_bgl_string1546za700za7za7_1588za7);
BGL_BIND_STRING(BGl_string1545z00zz__ucs2z00, BgL_bgl_string1545za700za7za7_1587za7);
BGL_BIND_STRING(BGl_string1543z00zz__ucs2z00, BgL_bgl_string1543za700za7za7_1586za7);
BGL_BIND_STRING(BGl_string1542z00zz__ucs2z00, BgL_bgl_string1542za700za7za7_1585za7);
BGL_BIND_STRING(BGl_string1541z00zz__ucs2z00, BgL_bgl_string1541za700za7za7_1584za7);
BGL_BIND_STRING(BGl_string1540z00zz__ucs2z00, BgL_bgl_string1540za700za7za7_1583za7);
BGL_BIND_STRING(BGl_string1539z00zz__ucs2z00, BgL_bgl_string1539za700za7za7_1582za7);
BGL_BIND_STRING(BGl_string1538z00zz__ucs2z00, BgL_bgl_string1538za700za7za7_1581za7);
BGL_BIND_STRING(BGl_string1537z00zz__ucs2z00, BgL_bgl_string1537za700za7za7_1580za7);
BGL_BIND_STRING(BGl_string1536z00zz__ucs2z00, BgL_bgl_string1536za700za7za7_1579za7);
BGL_BIND_STRING(BGl_string1535z00zz__ucs2z00, BgL_bgl_string1535za700za7za7_1578za7);
BGL_BIND_STRING(BGl_string1533z00zz__ucs2z00, BgL_bgl_string1533za700za7za7_1577za7);
BGL_BIND_STRING(BGl_string1532z00zz__ucs2z00, BgL_bgl_string1532za700za7za7_1576za7);
BGL_BIND_STRING(BGl_string1531z00zz__ucs2z00, BgL_bgl_string1531za700za7za7_1575za7);
BGL_BIND_STRING(BGl_string1530z00zz__ucs2z00, BgL_bgl_string1530za700za7za7_1574za7);
BGL_BIND_PROCEDURE(BGl_ucs2zd2ze3charzd2envze3zz__ucs2z00, BgL_bgl_za762ucs2za7d2za7e3cha1573za7);
BGL_BIND_PROCEDURE(BGl_ucs2zd2lowerzd2casezf3zd2envz21zz__ucs2z00, BgL_bgl_za762ucs2za7d2lowerza71572za7);
BGL_BIND_STRING(BGl_string1529z00zz__ucs2z00, BgL_bgl_string1529za700za7za7_1571za7);
BGL_BIND_STRING(BGl_string1528z00zz__ucs2z00, BgL_bgl_string1528za700za7za7_1570za7);
BGL_BIND_STRING(BGl_string1527z00zz__ucs2z00, BgL_bgl_string1527za700za7za7_1569za7);
BGL_BIND_STRING(BGl_string1526z00zz__ucs2z00, BgL_bgl_string1526za700za7za7_1568za7);
BGL_BIND_STRING(BGl_string1525z00zz__ucs2z00, BgL_bgl_string1525za700za7za7_1567za7);
BGL_BIND_STRING(BGl_string1524z00zz__ucs2z00, BgL_bgl_string1524za700za7za7_1566za7);
BGL_BIND_STRING(BGl_string1523z00zz__ucs2z00, BgL_bgl_string1523za700za7za7_1565za7);
BGL_BIND_STRING(BGl_string1522z00zz__ucs2z00, BgL_bgl_string1522za700za7za7_1564za7);
BGL_BIND_STRING(BGl_string1521z00zz__ucs2z00, BgL_bgl_string1521za700za7za7_1563za7);
BGL_BIND_STRING(BGl_string1520z00zz__ucs2z00, BgL_bgl_string1520za700za7za7_1562za7);
BGL_BIND_PROCEDURE(BGl_ucs2zd2alphabeticzf3zd2envzf3zz__ucs2z00, BgL_bgl_za762ucs2za7d2alphab1561z00);
BGL_BIND_STRING(BGl_string1519z00zz__ucs2z00, BgL_bgl_string1519za700za7za7_1560za7);
BGL_BIND_STRING(BGl_string1518z00zz__ucs2z00, BgL_bgl_string1518za700za7za7_1559za7);
BGL_BIND_STRING(BGl_string1517z00zz__ucs2z00, BgL_bgl_string1517za700za7za7_1558za7);
BGL_BIND_STRING(BGl_string1516z00zz__ucs2z00, BgL_bgl_string1516za700za7za7_1557za7);
BGL_BIND_STRING(BGl_string1515z00zz__ucs2z00, BgL_bgl_string1515za700za7za7_1556za7);
BGL_BIND_PROCEDURE(BGl_ucs2zd2numericzf3zd2envzf3zz__ucs2z00, BgL_bgl_za762ucs2za7d2numeri1555z00);
BGL_BIND_PROCEDURE(BGl_ucs2zc3zd3zf3zd2envz31zz__ucs2z00, BgL_bgl_za762ucs2za7c3za7d3za7f31554z00);
BGL_BIND_PROCEDURE(BGl_ucs2zd2cizc3zf3zd2envz30zz__ucs2z00, BgL_bgl_za762ucs2za7d2ciza7c3za71553z00);
BGL_BIND_PROCEDURE(BGl_ucs2zd2upcasezd2envz00zz__ucs2z00, BgL_bgl_za762ucs2za7d2upcase1552z00);
BGL_BIND_PROCEDURE(BGl_ucs2zf3zd2envz21zz__ucs2z00, BgL_bgl_za762ucs2za7f3za791za7za7_1551za7);
BGL_BIND_PROCEDURE(BGl_ucs2zc3zf3zd2envze2zz__ucs2z00, BgL_bgl_za762ucs2za7c3za7f3za7521550z00);
BGL_BIND_PROCEDURE(BGl_integerzd2ze3ucs2zd2urzd2envz31zz__ucs2z00, BgL_bgl_za762integerza7d2za7e31549za7);
}

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__ucs2z00) );
ADD_ROOT( (void *)(&BGl_symbol1534z00zz__ucs2z00) );
ADD_ROOT( (void *)(&BGl_symbol1544z00zz__ucs2z00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__ucs2z00(long BgL_checksumz00_1275, char * BgL_fromz00_1276)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__ucs2z00))
{ 
BGl_requirezd2initializa7ationz75zz__ucs2z00 = 
BBOOL(((bool_t)0)); 
bgl_constant_bindings(); 
BGl_gczd2rootszd2initz00zz__ucs2z00(); 
BGl_cnstzd2initzd2zz__ucs2z00(); 
return 
BGl_importedzd2moduleszd2initz00zz__ucs2z00();}  else 
{ 
return BUNSPEC;} } 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__ucs2z00(void)
{
{ /* Llib/ucs2.scm 14 */
BGl_symbol1534z00zz__ucs2z00 = 
bstring_to_symbol(BGl_string1535z00zz__ucs2z00); 
return ( 
BGl_symbol1544z00zz__ucs2z00 = 
bstring_to_symbol(BGl_string1545z00zz__ucs2z00), BUNSPEC) ;} 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__ucs2z00(void)
{
{ /* Llib/ucs2.scm 14 */
return 
bgl_gc_roots_register();} 

}



/* ucs2? */
BGL_EXPORTED_DEF bool_t BGl_ucs2zf3zf3zz__ucs2z00(obj_t BgL_objz00_3)
{
{ /* Llib/ucs2.scm 146 */
return 
UCS2P(BgL_objz00_3);} 

}



/* &ucs2? */
obj_t BGl_z62ucs2zf3z91zz__ucs2z00(obj_t BgL_envz00_1149, obj_t BgL_objz00_1150)
{
{ /* Llib/ucs2.scm 146 */
return 
BBOOL(
BGl_ucs2zf3zf3zz__ucs2z00(BgL_objz00_1150));} 

}



/* ucs2=? */
BGL_EXPORTED_DEF bool_t BGl_ucs2zd3zf3z20zz__ucs2z00(ucs2_t BgL_ucs2az00_4, ucs2_t BgL_ucs2bz00_5)
{
{ /* Llib/ucs2.scm 152 */
return 
(BgL_ucs2az00_4==BgL_ucs2bz00_5);} 

}



/* &ucs2=? */
obj_t BGl_z62ucs2zd3zf3z42zz__ucs2z00(obj_t BgL_envz00_1151, obj_t BgL_ucs2az00_1152, obj_t BgL_ucs2bz00_1153)
{
{ /* Llib/ucs2.scm 152 */
{ /* Llib/ucs2.scm 153 */
 bool_t BgL_tmpz00_1291;
{ /* Llib/ucs2.scm 153 */
 ucs2_t BgL_auxz00_1301; ucs2_t BgL_auxz00_1292;
{ /* Llib/ucs2.scm 153 */
 obj_t BgL_tmpz00_1302;
if(
UCS2P(BgL_ucs2bz00_1153))
{ /* Llib/ucs2.scm 153 */
BgL_tmpz00_1302 = BgL_ucs2bz00_1153
; }  else 
{ 
 obj_t BgL_auxz00_1305;
BgL_auxz00_1305 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1515z00zz__ucs2z00, 
BINT(6361L), BGl_string1516z00zz__ucs2z00, BGl_string1517z00zz__ucs2z00, BgL_ucs2bz00_1153); 
FAILURE(BgL_auxz00_1305,BFALSE,BFALSE);} 
BgL_auxz00_1301 = 
CUCS2(BgL_tmpz00_1302); } 
{ /* Llib/ucs2.scm 153 */
 obj_t BgL_tmpz00_1293;
if(
UCS2P(BgL_ucs2az00_1152))
{ /* Llib/ucs2.scm 153 */
BgL_tmpz00_1293 = BgL_ucs2az00_1152
; }  else 
{ 
 obj_t BgL_auxz00_1296;
BgL_auxz00_1296 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1515z00zz__ucs2z00, 
BINT(6361L), BGl_string1516z00zz__ucs2z00, BGl_string1517z00zz__ucs2z00, BgL_ucs2az00_1152); 
FAILURE(BgL_auxz00_1296,BFALSE,BFALSE);} 
BgL_auxz00_1292 = 
CUCS2(BgL_tmpz00_1293); } 
BgL_tmpz00_1291 = 
BGl_ucs2zd3zf3z20zz__ucs2z00(BgL_auxz00_1292, BgL_auxz00_1301); } 
return 
BBOOL(BgL_tmpz00_1291);} } 

}



/* ucs2<? */
BGL_EXPORTED_DEF bool_t BGl_ucs2zc3zf3z30zz__ucs2z00(ucs2_t BgL_ucs2az00_6, ucs2_t BgL_ucs2bz00_7)
{
{ /* Llib/ucs2.scm 158 */
return 
(BgL_ucs2az00_6<BgL_ucs2bz00_7);} 

}



/* &ucs2<? */
obj_t BGl_z62ucs2zc3zf3z52zz__ucs2z00(obj_t BgL_envz00_1154, obj_t BgL_ucs2az00_1155, obj_t BgL_ucs2bz00_1156)
{
{ /* Llib/ucs2.scm 158 */
{ /* Llib/ucs2.scm 159 */
 bool_t BgL_tmpz00_1313;
{ /* Llib/ucs2.scm 159 */
 ucs2_t BgL_auxz00_1323; ucs2_t BgL_auxz00_1314;
{ /* Llib/ucs2.scm 159 */
 obj_t BgL_tmpz00_1324;
if(
UCS2P(BgL_ucs2bz00_1156))
{ /* Llib/ucs2.scm 159 */
BgL_tmpz00_1324 = BgL_ucs2bz00_1156
; }  else 
{ 
 obj_t BgL_auxz00_1327;
BgL_auxz00_1327 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1515z00zz__ucs2z00, 
BINT(6647L), BGl_string1518z00zz__ucs2z00, BGl_string1517z00zz__ucs2z00, BgL_ucs2bz00_1156); 
FAILURE(BgL_auxz00_1327,BFALSE,BFALSE);} 
BgL_auxz00_1323 = 
CUCS2(BgL_tmpz00_1324); } 
{ /* Llib/ucs2.scm 159 */
 obj_t BgL_tmpz00_1315;
if(
UCS2P(BgL_ucs2az00_1155))
{ /* Llib/ucs2.scm 159 */
BgL_tmpz00_1315 = BgL_ucs2az00_1155
; }  else 
{ 
 obj_t BgL_auxz00_1318;
BgL_auxz00_1318 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1515z00zz__ucs2z00, 
BINT(6647L), BGl_string1518z00zz__ucs2z00, BGl_string1517z00zz__ucs2z00, BgL_ucs2az00_1155); 
FAILURE(BgL_auxz00_1318,BFALSE,BFALSE);} 
BgL_auxz00_1314 = 
CUCS2(BgL_tmpz00_1315); } 
BgL_tmpz00_1313 = 
BGl_ucs2zc3zf3z30zz__ucs2z00(BgL_auxz00_1314, BgL_auxz00_1323); } 
return 
BBOOL(BgL_tmpz00_1313);} } 

}



/* ucs2>? */
BGL_EXPORTED_DEF bool_t BGl_ucs2ze3zf3z10zz__ucs2z00(ucs2_t BgL_ucs2az00_8, ucs2_t BgL_ucs2bz00_9)
{
{ /* Llib/ucs2.scm 164 */
return 
(BgL_ucs2az00_8>BgL_ucs2bz00_9);} 

}



/* &ucs2>? */
obj_t BGl_z62ucs2ze3zf3z72zz__ucs2z00(obj_t BgL_envz00_1157, obj_t BgL_ucs2az00_1158, obj_t BgL_ucs2bz00_1159)
{
{ /* Llib/ucs2.scm 164 */
{ /* Llib/ucs2.scm 165 */
 bool_t BgL_tmpz00_1335;
{ /* Llib/ucs2.scm 165 */
 ucs2_t BgL_auxz00_1345; ucs2_t BgL_auxz00_1336;
{ /* Llib/ucs2.scm 165 */
 obj_t BgL_tmpz00_1346;
if(
UCS2P(BgL_ucs2bz00_1159))
{ /* Llib/ucs2.scm 165 */
BgL_tmpz00_1346 = BgL_ucs2bz00_1159
; }  else 
{ 
 obj_t BgL_auxz00_1349;
BgL_auxz00_1349 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1515z00zz__ucs2z00, 
BINT(6934L), BGl_string1519z00zz__ucs2z00, BGl_string1517z00zz__ucs2z00, BgL_ucs2bz00_1159); 
FAILURE(BgL_auxz00_1349,BFALSE,BFALSE);} 
BgL_auxz00_1345 = 
CUCS2(BgL_tmpz00_1346); } 
{ /* Llib/ucs2.scm 165 */
 obj_t BgL_tmpz00_1337;
if(
UCS2P(BgL_ucs2az00_1158))
{ /* Llib/ucs2.scm 165 */
BgL_tmpz00_1337 = BgL_ucs2az00_1158
; }  else 
{ 
 obj_t BgL_auxz00_1340;
BgL_auxz00_1340 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1515z00zz__ucs2z00, 
BINT(6934L), BGl_string1519z00zz__ucs2z00, BGl_string1517z00zz__ucs2z00, BgL_ucs2az00_1158); 
FAILURE(BgL_auxz00_1340,BFALSE,BFALSE);} 
BgL_auxz00_1336 = 
CUCS2(BgL_tmpz00_1337); } 
BgL_tmpz00_1335 = 
BGl_ucs2ze3zf3z10zz__ucs2z00(BgL_auxz00_1336, BgL_auxz00_1345); } 
return 
BBOOL(BgL_tmpz00_1335);} } 

}



/* ucs2<=? */
BGL_EXPORTED_DEF bool_t BGl_ucs2zc3zd3zf3ze3zz__ucs2z00(ucs2_t BgL_ucs2az00_10, ucs2_t BgL_ucs2bz00_11)
{
{ /* Llib/ucs2.scm 170 */
return 
(BgL_ucs2az00_10<=BgL_ucs2bz00_11);} 

}



/* &ucs2<=? */
obj_t BGl_z62ucs2zc3zd3zf3z81zz__ucs2z00(obj_t BgL_envz00_1160, obj_t BgL_ucs2az00_1161, obj_t BgL_ucs2bz00_1162)
{
{ /* Llib/ucs2.scm 170 */
{ /* Llib/ucs2.scm 171 */
 bool_t BgL_tmpz00_1357;
{ /* Llib/ucs2.scm 171 */
 ucs2_t BgL_auxz00_1367; ucs2_t BgL_auxz00_1358;
{ /* Llib/ucs2.scm 171 */
 obj_t BgL_tmpz00_1368;
if(
UCS2P(BgL_ucs2bz00_1162))
{ /* Llib/ucs2.scm 171 */
BgL_tmpz00_1368 = BgL_ucs2bz00_1162
; }  else 
{ 
 obj_t BgL_auxz00_1371;
BgL_auxz00_1371 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1515z00zz__ucs2z00, 
BINT(7221L), BGl_string1520z00zz__ucs2z00, BGl_string1517z00zz__ucs2z00, BgL_ucs2bz00_1162); 
FAILURE(BgL_auxz00_1371,BFALSE,BFALSE);} 
BgL_auxz00_1367 = 
CUCS2(BgL_tmpz00_1368); } 
{ /* Llib/ucs2.scm 171 */
 obj_t BgL_tmpz00_1359;
if(
UCS2P(BgL_ucs2az00_1161))
{ /* Llib/ucs2.scm 171 */
BgL_tmpz00_1359 = BgL_ucs2az00_1161
; }  else 
{ 
 obj_t BgL_auxz00_1362;
BgL_auxz00_1362 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1515z00zz__ucs2z00, 
BINT(7221L), BGl_string1520z00zz__ucs2z00, BGl_string1517z00zz__ucs2z00, BgL_ucs2az00_1161); 
FAILURE(BgL_auxz00_1362,BFALSE,BFALSE);} 
BgL_auxz00_1358 = 
CUCS2(BgL_tmpz00_1359); } 
BgL_tmpz00_1357 = 
BGl_ucs2zc3zd3zf3ze3zz__ucs2z00(BgL_auxz00_1358, BgL_auxz00_1367); } 
return 
BBOOL(BgL_tmpz00_1357);} } 

}



/* ucs2>=? */
BGL_EXPORTED_DEF bool_t BGl_ucs2ze3zd3zf3zc3zz__ucs2z00(ucs2_t BgL_ucs2az00_12, ucs2_t BgL_ucs2bz00_13)
{
{ /* Llib/ucs2.scm 176 */
return 
(BgL_ucs2az00_12>=BgL_ucs2bz00_13);} 

}



/* &ucs2>=? */
obj_t BGl_z62ucs2ze3zd3zf3za1zz__ucs2z00(obj_t BgL_envz00_1163, obj_t BgL_ucs2az00_1164, obj_t BgL_ucs2bz00_1165)
{
{ /* Llib/ucs2.scm 176 */
{ /* Llib/ucs2.scm 177 */
 bool_t BgL_tmpz00_1379;
{ /* Llib/ucs2.scm 177 */
 ucs2_t BgL_auxz00_1389; ucs2_t BgL_auxz00_1380;
{ /* Llib/ucs2.scm 177 */
 obj_t BgL_tmpz00_1390;
if(
UCS2P(BgL_ucs2bz00_1165))
{ /* Llib/ucs2.scm 177 */
BgL_tmpz00_1390 = BgL_ucs2bz00_1165
; }  else 
{ 
 obj_t BgL_auxz00_1393;
BgL_auxz00_1393 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1515z00zz__ucs2z00, 
BINT(7510L), BGl_string1521z00zz__ucs2z00, BGl_string1517z00zz__ucs2z00, BgL_ucs2bz00_1165); 
FAILURE(BgL_auxz00_1393,BFALSE,BFALSE);} 
BgL_auxz00_1389 = 
CUCS2(BgL_tmpz00_1390); } 
{ /* Llib/ucs2.scm 177 */
 obj_t BgL_tmpz00_1381;
if(
UCS2P(BgL_ucs2az00_1164))
{ /* Llib/ucs2.scm 177 */
BgL_tmpz00_1381 = BgL_ucs2az00_1164
; }  else 
{ 
 obj_t BgL_auxz00_1384;
BgL_auxz00_1384 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1515z00zz__ucs2z00, 
BINT(7510L), BGl_string1521z00zz__ucs2z00, BGl_string1517z00zz__ucs2z00, BgL_ucs2az00_1164); 
FAILURE(BgL_auxz00_1384,BFALSE,BFALSE);} 
BgL_auxz00_1380 = 
CUCS2(BgL_tmpz00_1381); } 
BgL_tmpz00_1379 = 
BGl_ucs2ze3zd3zf3zc3zz__ucs2z00(BgL_auxz00_1380, BgL_auxz00_1389); } 
return 
BBOOL(BgL_tmpz00_1379);} } 

}



/* ucs2-ci=? */
BGL_EXPORTED_DEF bool_t BGl_ucs2zd2cizd3zf3zf2zz__ucs2z00(ucs2_t BgL_ucs2az00_14, ucs2_t BgL_ucs2bz00_15)
{
{ /* Llib/ucs2.scm 182 */
return 
(
ucs2_toupper(BgL_ucs2az00_14)==
ucs2_toupper(BgL_ucs2bz00_15));} 

}



/* &ucs2-ci=? */
obj_t BGl_z62ucs2zd2cizd3zf3z90zz__ucs2z00(obj_t BgL_envz00_1166, obj_t BgL_ucs2az00_1167, obj_t BgL_ucs2bz00_1168)
{
{ /* Llib/ucs2.scm 182 */
{ /* Llib/ucs2.scm 183 */
 bool_t BgL_tmpz00_1403;
{ /* Llib/ucs2.scm 183 */
 ucs2_t BgL_auxz00_1413; ucs2_t BgL_auxz00_1404;
{ /* Llib/ucs2.scm 183 */
 obj_t BgL_tmpz00_1414;
if(
UCS2P(BgL_ucs2bz00_1168))
{ /* Llib/ucs2.scm 183 */
BgL_tmpz00_1414 = BgL_ucs2bz00_1168
; }  else 
{ 
 obj_t BgL_auxz00_1417;
BgL_auxz00_1417 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1515z00zz__ucs2z00, 
BINT(7808L), BGl_string1522z00zz__ucs2z00, BGl_string1517z00zz__ucs2z00, BgL_ucs2bz00_1168); 
FAILURE(BgL_auxz00_1417,BFALSE,BFALSE);} 
BgL_auxz00_1413 = 
CUCS2(BgL_tmpz00_1414); } 
{ /* Llib/ucs2.scm 183 */
 obj_t BgL_tmpz00_1405;
if(
UCS2P(BgL_ucs2az00_1167))
{ /* Llib/ucs2.scm 183 */
BgL_tmpz00_1405 = BgL_ucs2az00_1167
; }  else 
{ 
 obj_t BgL_auxz00_1408;
BgL_auxz00_1408 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1515z00zz__ucs2z00, 
BINT(7808L), BGl_string1522z00zz__ucs2z00, BGl_string1517z00zz__ucs2z00, BgL_ucs2az00_1167); 
FAILURE(BgL_auxz00_1408,BFALSE,BFALSE);} 
BgL_auxz00_1404 = 
CUCS2(BgL_tmpz00_1405); } 
BgL_tmpz00_1403 = 
BGl_ucs2zd2cizd3zf3zf2zz__ucs2z00(BgL_auxz00_1404, BgL_auxz00_1413); } 
return 
BBOOL(BgL_tmpz00_1403);} } 

}



/* ucs2-ci<? */
BGL_EXPORTED_DEF bool_t BGl_ucs2zd2cizc3zf3ze2zz__ucs2z00(ucs2_t BgL_ucs2az00_16, ucs2_t BgL_ucs2bz00_17)
{
{ /* Llib/ucs2.scm 188 */
return 
(
ucs2_toupper(BgL_ucs2az00_16)<
ucs2_toupper(BgL_ucs2bz00_17));} 

}



/* &ucs2-ci<? */
obj_t BGl_z62ucs2zd2cizc3zf3z80zz__ucs2z00(obj_t BgL_envz00_1169, obj_t BgL_ucs2az00_1170, obj_t BgL_ucs2bz00_1171)
{
{ /* Llib/ucs2.scm 188 */
{ /* Llib/ucs2.scm 189 */
 bool_t BgL_tmpz00_1427;
{ /* Llib/ucs2.scm 189 */
 ucs2_t BgL_auxz00_1437; ucs2_t BgL_auxz00_1428;
{ /* Llib/ucs2.scm 189 */
 obj_t BgL_tmpz00_1438;
if(
UCS2P(BgL_ucs2bz00_1171))
{ /* Llib/ucs2.scm 189 */
BgL_tmpz00_1438 = BgL_ucs2bz00_1171
; }  else 
{ 
 obj_t BgL_auxz00_1441;
BgL_auxz00_1441 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1515z00zz__ucs2z00, 
BINT(8123L), BGl_string1523z00zz__ucs2z00, BGl_string1517z00zz__ucs2z00, BgL_ucs2bz00_1171); 
FAILURE(BgL_auxz00_1441,BFALSE,BFALSE);} 
BgL_auxz00_1437 = 
CUCS2(BgL_tmpz00_1438); } 
{ /* Llib/ucs2.scm 189 */
 obj_t BgL_tmpz00_1429;
if(
UCS2P(BgL_ucs2az00_1170))
{ /* Llib/ucs2.scm 189 */
BgL_tmpz00_1429 = BgL_ucs2az00_1170
; }  else 
{ 
 obj_t BgL_auxz00_1432;
BgL_auxz00_1432 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1515z00zz__ucs2z00, 
BINT(8123L), BGl_string1523z00zz__ucs2z00, BGl_string1517z00zz__ucs2z00, BgL_ucs2az00_1170); 
FAILURE(BgL_auxz00_1432,BFALSE,BFALSE);} 
BgL_auxz00_1428 = 
CUCS2(BgL_tmpz00_1429); } 
BgL_tmpz00_1427 = 
BGl_ucs2zd2cizc3zf3ze2zz__ucs2z00(BgL_auxz00_1428, BgL_auxz00_1437); } 
return 
BBOOL(BgL_tmpz00_1427);} } 

}



/* ucs2-ci>? */
BGL_EXPORTED_DEF bool_t BGl_ucs2zd2cize3zf3zc2zz__ucs2z00(ucs2_t BgL_ucs2az00_18, ucs2_t BgL_ucs2bz00_19)
{
{ /* Llib/ucs2.scm 194 */
return 
(
ucs2_toupper(BgL_ucs2az00_18)>
ucs2_toupper(BgL_ucs2bz00_19));} 

}



/* &ucs2-ci>? */
obj_t BGl_z62ucs2zd2cize3zf3za0zz__ucs2z00(obj_t BgL_envz00_1172, obj_t BgL_ucs2az00_1173, obj_t BgL_ucs2bz00_1174)
{
{ /* Llib/ucs2.scm 194 */
{ /* Llib/ucs2.scm 195 */
 bool_t BgL_tmpz00_1451;
{ /* Llib/ucs2.scm 195 */
 ucs2_t BgL_auxz00_1461; ucs2_t BgL_auxz00_1452;
{ /* Llib/ucs2.scm 195 */
 obj_t BgL_tmpz00_1462;
if(
UCS2P(BgL_ucs2bz00_1174))
{ /* Llib/ucs2.scm 195 */
BgL_tmpz00_1462 = BgL_ucs2bz00_1174
; }  else 
{ 
 obj_t BgL_auxz00_1465;
BgL_auxz00_1465 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1515z00zz__ucs2z00, 
BINT(8440L), BGl_string1524z00zz__ucs2z00, BGl_string1517z00zz__ucs2z00, BgL_ucs2bz00_1174); 
FAILURE(BgL_auxz00_1465,BFALSE,BFALSE);} 
BgL_auxz00_1461 = 
CUCS2(BgL_tmpz00_1462); } 
{ /* Llib/ucs2.scm 195 */
 obj_t BgL_tmpz00_1453;
if(
UCS2P(BgL_ucs2az00_1173))
{ /* Llib/ucs2.scm 195 */
BgL_tmpz00_1453 = BgL_ucs2az00_1173
; }  else 
{ 
 obj_t BgL_auxz00_1456;
BgL_auxz00_1456 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1515z00zz__ucs2z00, 
BINT(8440L), BGl_string1524z00zz__ucs2z00, BGl_string1517z00zz__ucs2z00, BgL_ucs2az00_1173); 
FAILURE(BgL_auxz00_1456,BFALSE,BFALSE);} 
BgL_auxz00_1452 = 
CUCS2(BgL_tmpz00_1453); } 
BgL_tmpz00_1451 = 
BGl_ucs2zd2cize3zf3zc2zz__ucs2z00(BgL_auxz00_1452, BgL_auxz00_1461); } 
return 
BBOOL(BgL_tmpz00_1451);} } 

}



/* ucs2-ci<=? */
BGL_EXPORTED_DEF bool_t BGl_ucs2zd2cizc3zd3zf3z31zz__ucs2z00(ucs2_t BgL_ucs2az00_20, ucs2_t BgL_ucs2bz00_21)
{
{ /* Llib/ucs2.scm 200 */
return 
(
ucs2_toupper(BgL_ucs2az00_20)<=
ucs2_toupper(BgL_ucs2bz00_21));} 

}



/* &ucs2-ci<=? */
obj_t BGl_z62ucs2zd2cizc3zd3zf3z53zz__ucs2z00(obj_t BgL_envz00_1175, obj_t BgL_ucs2az00_1176, obj_t BgL_ucs2bz00_1177)
{
{ /* Llib/ucs2.scm 200 */
{ /* Llib/ucs2.scm 201 */
 bool_t BgL_tmpz00_1475;
{ /* Llib/ucs2.scm 201 */
 ucs2_t BgL_auxz00_1485; ucs2_t BgL_auxz00_1476;
{ /* Llib/ucs2.scm 201 */
 obj_t BgL_tmpz00_1486;
if(
UCS2P(BgL_ucs2bz00_1177))
{ /* Llib/ucs2.scm 201 */
BgL_tmpz00_1486 = BgL_ucs2bz00_1177
; }  else 
{ 
 obj_t BgL_auxz00_1489;
BgL_auxz00_1489 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1515z00zz__ucs2z00, 
BINT(8757L), BGl_string1525z00zz__ucs2z00, BGl_string1517z00zz__ucs2z00, BgL_ucs2bz00_1177); 
FAILURE(BgL_auxz00_1489,BFALSE,BFALSE);} 
BgL_auxz00_1485 = 
CUCS2(BgL_tmpz00_1486); } 
{ /* Llib/ucs2.scm 201 */
 obj_t BgL_tmpz00_1477;
if(
UCS2P(BgL_ucs2az00_1176))
{ /* Llib/ucs2.scm 201 */
BgL_tmpz00_1477 = BgL_ucs2az00_1176
; }  else 
{ 
 obj_t BgL_auxz00_1480;
BgL_auxz00_1480 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1515z00zz__ucs2z00, 
BINT(8757L), BGl_string1525z00zz__ucs2z00, BGl_string1517z00zz__ucs2z00, BgL_ucs2az00_1176); 
FAILURE(BgL_auxz00_1480,BFALSE,BFALSE);} 
BgL_auxz00_1476 = 
CUCS2(BgL_tmpz00_1477); } 
BgL_tmpz00_1475 = 
BGl_ucs2zd2cizc3zd3zf3z31zz__ucs2z00(BgL_auxz00_1476, BgL_auxz00_1485); } 
return 
BBOOL(BgL_tmpz00_1475);} } 

}



/* ucs2-ci>=? */
BGL_EXPORTED_DEF bool_t BGl_ucs2zd2cize3zd3zf3z11zz__ucs2z00(ucs2_t BgL_ucs2az00_22, ucs2_t BgL_ucs2bz00_23)
{
{ /* Llib/ucs2.scm 206 */
return 
(
ucs2_toupper(BgL_ucs2az00_22)>=
ucs2_toupper(BgL_ucs2bz00_23));} 

}



/* &ucs2-ci>=? */
obj_t BGl_z62ucs2zd2cize3zd3zf3z73zz__ucs2z00(obj_t BgL_envz00_1178, obj_t BgL_ucs2az00_1179, obj_t BgL_ucs2bz00_1180)
{
{ /* Llib/ucs2.scm 206 */
{ /* Llib/ucs2.scm 207 */
 bool_t BgL_tmpz00_1499;
{ /* Llib/ucs2.scm 207 */
 ucs2_t BgL_auxz00_1509; ucs2_t BgL_auxz00_1500;
{ /* Llib/ucs2.scm 207 */
 obj_t BgL_tmpz00_1510;
if(
UCS2P(BgL_ucs2bz00_1180))
{ /* Llib/ucs2.scm 207 */
BgL_tmpz00_1510 = BgL_ucs2bz00_1180
; }  else 
{ 
 obj_t BgL_auxz00_1513;
BgL_auxz00_1513 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1515z00zz__ucs2z00, 
BINT(9074L), BGl_string1526z00zz__ucs2z00, BGl_string1517z00zz__ucs2z00, BgL_ucs2bz00_1180); 
FAILURE(BgL_auxz00_1513,BFALSE,BFALSE);} 
BgL_auxz00_1509 = 
CUCS2(BgL_tmpz00_1510); } 
{ /* Llib/ucs2.scm 207 */
 obj_t BgL_tmpz00_1501;
if(
UCS2P(BgL_ucs2az00_1179))
{ /* Llib/ucs2.scm 207 */
BgL_tmpz00_1501 = BgL_ucs2az00_1179
; }  else 
{ 
 obj_t BgL_auxz00_1504;
BgL_auxz00_1504 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1515z00zz__ucs2z00, 
BINT(9074L), BGl_string1526z00zz__ucs2z00, BGl_string1517z00zz__ucs2z00, BgL_ucs2az00_1179); 
FAILURE(BgL_auxz00_1504,BFALSE,BFALSE);} 
BgL_auxz00_1500 = 
CUCS2(BgL_tmpz00_1501); } 
BgL_tmpz00_1499 = 
BGl_ucs2zd2cize3zd3zf3z11zz__ucs2z00(BgL_auxz00_1500, BgL_auxz00_1509); } 
return 
BBOOL(BgL_tmpz00_1499);} } 

}



/* ucs2-alphabetic? */
BGL_EXPORTED_DEF bool_t BGl_ucs2zd2alphabeticzf3z21zz__ucs2z00(ucs2_t BgL_ucs2z00_24)
{
{ /* Llib/ucs2.scm 212 */
BGL_TAIL return 
ucs2_letterp(BgL_ucs2z00_24);} 

}



/* &ucs2-alphabetic? */
obj_t BGl_z62ucs2zd2alphabeticzf3z43zz__ucs2z00(obj_t BgL_envz00_1181, obj_t BgL_ucs2z00_1182)
{
{ /* Llib/ucs2.scm 212 */
{ /* Llib/ucs2.scm 213 */
 bool_t BgL_tmpz00_1521;
{ /* Llib/ucs2.scm 213 */
 ucs2_t BgL_auxz00_1522;
{ /* Llib/ucs2.scm 213 */
 obj_t BgL_tmpz00_1523;
if(
UCS2P(BgL_ucs2z00_1182))
{ /* Llib/ucs2.scm 213 */
BgL_tmpz00_1523 = BgL_ucs2z00_1182
; }  else 
{ 
 obj_t BgL_auxz00_1526;
BgL_auxz00_1526 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1515z00zz__ucs2z00, 
BINT(9381L), BGl_string1527z00zz__ucs2z00, BGl_string1517z00zz__ucs2z00, BgL_ucs2z00_1182); 
FAILURE(BgL_auxz00_1526,BFALSE,BFALSE);} 
BgL_auxz00_1522 = 
CUCS2(BgL_tmpz00_1523); } 
BgL_tmpz00_1521 = 
BGl_ucs2zd2alphabeticzf3z21zz__ucs2z00(BgL_auxz00_1522); } 
return 
BBOOL(BgL_tmpz00_1521);} } 

}



/* ucs2-numeric? */
BGL_EXPORTED_DEF bool_t BGl_ucs2zd2numericzf3z21zz__ucs2z00(ucs2_t BgL_ucs2z00_25)
{
{ /* Llib/ucs2.scm 218 */
BGL_TAIL return 
ucs2_digitp(BgL_ucs2z00_25);} 

}



/* &ucs2-numeric? */
obj_t BGl_z62ucs2zd2numericzf3z43zz__ucs2z00(obj_t BgL_envz00_1183, obj_t BgL_ucs2z00_1184)
{
{ /* Llib/ucs2.scm 218 */
{ /* Llib/ucs2.scm 219 */
 bool_t BgL_tmpz00_1534;
{ /* Llib/ucs2.scm 219 */
 ucs2_t BgL_auxz00_1535;
{ /* Llib/ucs2.scm 219 */
 obj_t BgL_tmpz00_1536;
if(
UCS2P(BgL_ucs2z00_1184))
{ /* Llib/ucs2.scm 219 */
BgL_tmpz00_1536 = BgL_ucs2z00_1184
; }  else 
{ 
 obj_t BgL_auxz00_1539;
BgL_auxz00_1539 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1515z00zz__ucs2z00, 
BINT(9666L), BGl_string1528z00zz__ucs2z00, BGl_string1517z00zz__ucs2z00, BgL_ucs2z00_1184); 
FAILURE(BgL_auxz00_1539,BFALSE,BFALSE);} 
BgL_auxz00_1535 = 
CUCS2(BgL_tmpz00_1536); } 
BgL_tmpz00_1534 = 
BGl_ucs2zd2numericzf3z21zz__ucs2z00(BgL_auxz00_1535); } 
return 
BBOOL(BgL_tmpz00_1534);} } 

}



/* ucs2-whitespace? */
BGL_EXPORTED_DEF bool_t BGl_ucs2zd2whitespacezf3z21zz__ucs2z00(ucs2_t BgL_ucs2z00_26)
{
{ /* Llib/ucs2.scm 224 */
BGL_TAIL return 
ucs2_whitespacep(BgL_ucs2z00_26);} 

}



/* &ucs2-whitespace? */
obj_t BGl_z62ucs2zd2whitespacezf3z43zz__ucs2z00(obj_t BgL_envz00_1185, obj_t BgL_ucs2z00_1186)
{
{ /* Llib/ucs2.scm 224 */
{ /* Llib/ucs2.scm 225 */
 bool_t BgL_tmpz00_1547;
{ /* Llib/ucs2.scm 225 */
 ucs2_t BgL_auxz00_1548;
{ /* Llib/ucs2.scm 225 */
 obj_t BgL_tmpz00_1549;
if(
UCS2P(BgL_ucs2z00_1186))
{ /* Llib/ucs2.scm 225 */
BgL_tmpz00_1549 = BgL_ucs2z00_1186
; }  else 
{ 
 obj_t BgL_auxz00_1552;
BgL_auxz00_1552 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1515z00zz__ucs2z00, 
BINT(9953L), BGl_string1529z00zz__ucs2z00, BGl_string1517z00zz__ucs2z00, BgL_ucs2z00_1186); 
FAILURE(BgL_auxz00_1552,BFALSE,BFALSE);} 
BgL_auxz00_1548 = 
CUCS2(BgL_tmpz00_1549); } 
BgL_tmpz00_1547 = 
BGl_ucs2zd2whitespacezf3z21zz__ucs2z00(BgL_auxz00_1548); } 
return 
BBOOL(BgL_tmpz00_1547);} } 

}



/* ucs2-upper-case? */
BGL_EXPORTED_DEF bool_t BGl_ucs2zd2upperzd2casezf3zf3zz__ucs2z00(ucs2_t BgL_ucs2z00_27)
{
{ /* Llib/ucs2.scm 230 */
BGL_TAIL return 
ucs2_upperp(BgL_ucs2z00_27);} 

}



/* &ucs2-upper-case? */
obj_t BGl_z62ucs2zd2upperzd2casezf3z91zz__ucs2z00(obj_t BgL_envz00_1187, obj_t BgL_ucs2z00_1188)
{
{ /* Llib/ucs2.scm 230 */
{ /* Llib/ucs2.scm 231 */
 bool_t BgL_tmpz00_1560;
{ /* Llib/ucs2.scm 231 */
 ucs2_t BgL_auxz00_1561;
{ /* Llib/ucs2.scm 231 */
 obj_t BgL_tmpz00_1562;
if(
UCS2P(BgL_ucs2z00_1188))
{ /* Llib/ucs2.scm 231 */
BgL_tmpz00_1562 = BgL_ucs2z00_1188
; }  else 
{ 
 obj_t BgL_auxz00_1565;
BgL_auxz00_1565 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1515z00zz__ucs2z00, 
BINT(10245L), BGl_string1530z00zz__ucs2z00, BGl_string1517z00zz__ucs2z00, BgL_ucs2z00_1188); 
FAILURE(BgL_auxz00_1565,BFALSE,BFALSE);} 
BgL_auxz00_1561 = 
CUCS2(BgL_tmpz00_1562); } 
BgL_tmpz00_1560 = 
BGl_ucs2zd2upperzd2casezf3zf3zz__ucs2z00(BgL_auxz00_1561); } 
return 
BBOOL(BgL_tmpz00_1560);} } 

}



/* ucs2-lower-case? */
BGL_EXPORTED_DEF bool_t BGl_ucs2zd2lowerzd2casezf3zf3zz__ucs2z00(ucs2_t BgL_ucs2z00_28)
{
{ /* Llib/ucs2.scm 236 */
BGL_TAIL return 
ucs2_lowerp(BgL_ucs2z00_28);} 

}



/* &ucs2-lower-case? */
obj_t BGl_z62ucs2zd2lowerzd2casezf3z91zz__ucs2z00(obj_t BgL_envz00_1189, obj_t BgL_ucs2z00_1190)
{
{ /* Llib/ucs2.scm 236 */
{ /* Llib/ucs2.scm 237 */
 bool_t BgL_tmpz00_1573;
{ /* Llib/ucs2.scm 237 */
 ucs2_t BgL_auxz00_1574;
{ /* Llib/ucs2.scm 237 */
 obj_t BgL_tmpz00_1575;
if(
UCS2P(BgL_ucs2z00_1190))
{ /* Llib/ucs2.scm 237 */
BgL_tmpz00_1575 = BgL_ucs2z00_1190
; }  else 
{ 
 obj_t BgL_auxz00_1578;
BgL_auxz00_1578 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1515z00zz__ucs2z00, 
BINT(10532L), BGl_string1531z00zz__ucs2z00, BGl_string1517z00zz__ucs2z00, BgL_ucs2z00_1190); 
FAILURE(BgL_auxz00_1578,BFALSE,BFALSE);} 
BgL_auxz00_1574 = 
CUCS2(BgL_tmpz00_1575); } 
BgL_tmpz00_1573 = 
BGl_ucs2zd2lowerzd2casezf3zf3zz__ucs2z00(BgL_auxz00_1574); } 
return 
BBOOL(BgL_tmpz00_1573);} } 

}



/* ucs2-upcase */
BGL_EXPORTED_DEF ucs2_t BGl_ucs2zd2upcasezd2zz__ucs2z00(ucs2_t BgL_ucs2z00_29)
{
{ /* Llib/ucs2.scm 242 */
BGL_TAIL return 
ucs2_toupper(BgL_ucs2z00_29);} 

}



/* &ucs2-upcase */
obj_t BGl_z62ucs2zd2upcasezb0zz__ucs2z00(obj_t BgL_envz00_1191, obj_t BgL_ucs2z00_1192)
{
{ /* Llib/ucs2.scm 242 */
{ /* Llib/ucs2.scm 243 */
 ucs2_t BgL_tmpz00_1586;
{ /* Llib/ucs2.scm 243 */
 ucs2_t BgL_auxz00_1587;
{ /* Llib/ucs2.scm 243 */
 obj_t BgL_tmpz00_1588;
if(
UCS2P(BgL_ucs2z00_1192))
{ /* Llib/ucs2.scm 243 */
BgL_tmpz00_1588 = BgL_ucs2z00_1192
; }  else 
{ 
 obj_t BgL_auxz00_1591;
BgL_auxz00_1591 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1515z00zz__ucs2z00, 
BINT(10814L), BGl_string1532z00zz__ucs2z00, BGl_string1517z00zz__ucs2z00, BgL_ucs2z00_1192); 
FAILURE(BgL_auxz00_1591,BFALSE,BFALSE);} 
BgL_auxz00_1587 = 
CUCS2(BgL_tmpz00_1588); } 
BgL_tmpz00_1586 = 
BGl_ucs2zd2upcasezd2zz__ucs2z00(BgL_auxz00_1587); } 
return 
BUCS2(BgL_tmpz00_1586);} } 

}



/* ucs2-downcase */
BGL_EXPORTED_DEF ucs2_t BGl_ucs2zd2downcasezd2zz__ucs2z00(ucs2_t BgL_ucs2z00_30)
{
{ /* Llib/ucs2.scm 248 */
BGL_TAIL return 
ucs2_tolower(BgL_ucs2z00_30);} 

}



/* &ucs2-downcase */
obj_t BGl_z62ucs2zd2downcasezb0zz__ucs2z00(obj_t BgL_envz00_1193, obj_t BgL_ucs2z00_1194)
{
{ /* Llib/ucs2.scm 248 */
{ /* Llib/ucs2.scm 249 */
 ucs2_t BgL_tmpz00_1599;
{ /* Llib/ucs2.scm 249 */
 ucs2_t BgL_auxz00_1600;
{ /* Llib/ucs2.scm 249 */
 obj_t BgL_tmpz00_1601;
if(
UCS2P(BgL_ucs2z00_1194))
{ /* Llib/ucs2.scm 249 */
BgL_tmpz00_1601 = BgL_ucs2z00_1194
; }  else 
{ 
 obj_t BgL_auxz00_1604;
BgL_auxz00_1604 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1515z00zz__ucs2z00, 
BINT(11098L), BGl_string1533z00zz__ucs2z00, BGl_string1517z00zz__ucs2z00, BgL_ucs2z00_1194); 
FAILURE(BgL_auxz00_1604,BFALSE,BFALSE);} 
BgL_auxz00_1600 = 
CUCS2(BgL_tmpz00_1601); } 
BgL_tmpz00_1599 = 
BGl_ucs2zd2downcasezd2zz__ucs2z00(BgL_auxz00_1600); } 
return 
BUCS2(BgL_tmpz00_1599);} } 

}



/* integer->ucs2 */
BGL_EXPORTED_DEF ucs2_t BGl_integerzd2ze3ucs2z31zz__ucs2z00(int BgL_intz00_31)
{
{ /* Llib/ucs2.scm 254 */
{ /* Llib/ucs2.scm 255 */
 bool_t BgL_test1632z00_1611;
if(
(
(long)(BgL_intz00_31)>=0L))
{ /* Llib/ucs2.scm 255 */
BgL_test1632z00_1611 = 
(
(long)(BgL_intz00_31)<65536L)
; }  else 
{ /* Llib/ucs2.scm 255 */
BgL_test1632z00_1611 = ((bool_t)0)
; } 
if(BgL_test1632z00_1611)
{ /* Llib/ucs2.scm 255 */
if(
ucs2_definedp(BgL_intz00_31))
{ /* Llib/ucs2.scm 256 */
return 
BGL_INT_TO_UCS2(BgL_intz00_31);}  else 
{ /* Llib/ucs2.scm 258 */
 obj_t BgL_tmpz00_1620;
{ /* Llib/ucs2.scm 258 */
 obj_t BgL_aux1501z00_1259;
BgL_aux1501z00_1259 = 
BGl_errorz00zz__errorz00(BGl_symbol1534z00zz__ucs2z00, BGl_string1536z00zz__ucs2z00, 
BINT(BgL_intz00_31)); 
if(
UCS2P(BgL_aux1501z00_1259))
{ /* Llib/ucs2.scm 258 */
BgL_tmpz00_1620 = BgL_aux1501z00_1259
; }  else 
{ 
 obj_t BgL_auxz00_1625;
BgL_auxz00_1625 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1515z00zz__ucs2z00, 
BINT(11496L), BGl_string1535z00zz__ucs2z00, BGl_string1517z00zz__ucs2z00, BgL_aux1501z00_1259); 
FAILURE(BgL_auxz00_1625,BFALSE,BFALSE);} } 
return 
CUCS2(BgL_tmpz00_1620);} }  else 
{ /* Llib/ucs2.scm 259 */
 obj_t BgL_tmpz00_1630;
{ /* Llib/ucs2.scm 259 */
 obj_t BgL_aux1503z00_1261;
BgL_aux1503z00_1261 = 
BGl_errorz00zz__errorz00(BGl_symbol1534z00zz__ucs2z00, BGl_string1537z00zz__ucs2z00, 
BINT(BgL_intz00_31)); 
if(
UCS2P(BgL_aux1503z00_1261))
{ /* Llib/ucs2.scm 259 */
BgL_tmpz00_1630 = BgL_aux1503z00_1261
; }  else 
{ 
 obj_t BgL_auxz00_1635;
BgL_auxz00_1635 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1515z00zz__ucs2z00, 
BINT(11559L), BGl_string1535z00zz__ucs2z00, BGl_string1517z00zz__ucs2z00, BgL_aux1503z00_1261); 
FAILURE(BgL_auxz00_1635,BFALSE,BFALSE);} } 
return 
CUCS2(BgL_tmpz00_1630);} } } 

}



/* &integer->ucs2 */
obj_t BGl_z62integerzd2ze3ucs2z53zz__ucs2z00(obj_t BgL_envz00_1195, obj_t BgL_intz00_1196)
{
{ /* Llib/ucs2.scm 254 */
{ /* Llib/ucs2.scm 255 */
 ucs2_t BgL_tmpz00_1640;
{ /* Llib/ucs2.scm 255 */
 int BgL_auxz00_1641;
{ /* Llib/ucs2.scm 255 */
 obj_t BgL_tmpz00_1642;
if(
INTEGERP(BgL_intz00_1196))
{ /* Llib/ucs2.scm 255 */
BgL_tmpz00_1642 = BgL_intz00_1196
; }  else 
{ 
 obj_t BgL_auxz00_1645;
BgL_auxz00_1645 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1515z00zz__ucs2z00, 
BINT(11394L), BGl_string1538z00zz__ucs2z00, BGl_string1539z00zz__ucs2z00, BgL_intz00_1196); 
FAILURE(BgL_auxz00_1645,BFALSE,BFALSE);} 
BgL_auxz00_1641 = 
CINT(BgL_tmpz00_1642); } 
BgL_tmpz00_1640 = 
BGl_integerzd2ze3ucs2z31zz__ucs2z00(BgL_auxz00_1641); } 
return 
BUCS2(BgL_tmpz00_1640);} } 

}



/* integer->ucs2-ur */
BGL_EXPORTED_DEF ucs2_t BGl_integerzd2ze3ucs2zd2urze3zz__ucs2z00(int BgL_intz00_32)
{
{ /* Llib/ucs2.scm 264 */
return 
BGL_INT_TO_UCS2(BgL_intz00_32);} 

}



/* &integer->ucs2-ur */
obj_t BGl_z62integerzd2ze3ucs2zd2urz81zz__ucs2z00(obj_t BgL_envz00_1197, obj_t BgL_intz00_1198)
{
{ /* Llib/ucs2.scm 264 */
{ /* Llib/ucs2.scm 265 */
 ucs2_t BgL_tmpz00_1653;
{ /* Llib/ucs2.scm 265 */
 int BgL_auxz00_1654;
{ /* Llib/ucs2.scm 265 */
 obj_t BgL_tmpz00_1655;
if(
INTEGERP(BgL_intz00_1198))
{ /* Llib/ucs2.scm 265 */
BgL_tmpz00_1655 = BgL_intz00_1198
; }  else 
{ 
 obj_t BgL_auxz00_1658;
BgL_auxz00_1658 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1515z00zz__ucs2z00, 
BINT(11890L), BGl_string1540z00zz__ucs2z00, BGl_string1539z00zz__ucs2z00, BgL_intz00_1198); 
FAILURE(BgL_auxz00_1658,BFALSE,BFALSE);} 
BgL_auxz00_1654 = 
CINT(BgL_tmpz00_1655); } 
BgL_tmpz00_1653 = 
BGl_integerzd2ze3ucs2zd2urze3zz__ucs2z00(BgL_auxz00_1654); } 
return 
BUCS2(BgL_tmpz00_1653);} } 

}



/* ucs2->integer */
BGL_EXPORTED_DEF int BGl_ucs2zd2ze3integerz31zz__ucs2z00(ucs2_t BgL_ucs2z00_33)
{
{ /* Llib/ucs2.scm 270 */
{ /* Llib/ucs2.scm 271 */
 obj_t BgL_tmpz00_1665;
BgL_tmpz00_1665 = 
BUCS2(BgL_ucs2z00_33); 
return 
CUCS2(BgL_tmpz00_1665);} } 

}



/* &ucs2->integer */
obj_t BGl_z62ucs2zd2ze3integerz53zz__ucs2z00(obj_t BgL_envz00_1199, obj_t BgL_ucs2z00_1200)
{
{ /* Llib/ucs2.scm 270 */
{ /* Llib/ucs2.scm 271 */
 int BgL_tmpz00_1668;
{ /* Llib/ucs2.scm 271 */
 ucs2_t BgL_auxz00_1669;
{ /* Llib/ucs2.scm 271 */
 obj_t BgL_tmpz00_1670;
if(
UCS2P(BgL_ucs2z00_1200))
{ /* Llib/ucs2.scm 271 */
BgL_tmpz00_1670 = BgL_ucs2z00_1200
; }  else 
{ 
 obj_t BgL_auxz00_1673;
BgL_auxz00_1673 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1515z00zz__ucs2z00, 
BINT(12186L), BGl_string1541z00zz__ucs2z00, BGl_string1517z00zz__ucs2z00, BgL_ucs2z00_1200); 
FAILURE(BgL_auxz00_1673,BFALSE,BFALSE);} 
BgL_auxz00_1669 = 
CUCS2(BgL_tmpz00_1670); } 
BgL_tmpz00_1668 = 
BGl_ucs2zd2ze3integerz31zz__ucs2z00(BgL_auxz00_1669); } 
return 
BINT(BgL_tmpz00_1668);} } 

}



/* char->ucs2 */
BGL_EXPORTED_DEF ucs2_t BGl_charzd2ze3ucs2z31zz__ucs2z00(unsigned char BgL_charz00_34)
{
{ /* Llib/ucs2.scm 276 */
{ /* Llib/ucs2.scm 265 */
 int BgL_tmpz00_1680;
BgL_tmpz00_1680 = 
(int)(
(
(unsigned char)(BgL_charz00_34))); 
return 
BGL_INT_TO_UCS2(BgL_tmpz00_1680);} } 

}



/* &char->ucs2 */
obj_t BGl_z62charzd2ze3ucs2z53zz__ucs2z00(obj_t BgL_envz00_1201, obj_t BgL_charz00_1202)
{
{ /* Llib/ucs2.scm 276 */
{ /* Llib/ucs2.scm 277 */
 ucs2_t BgL_tmpz00_1685;
{ /* Llib/ucs2.scm 277 */
 unsigned char BgL_auxz00_1686;
{ /* Llib/ucs2.scm 277 */
 obj_t BgL_tmpz00_1687;
if(
CHARP(BgL_charz00_1202))
{ /* Llib/ucs2.scm 277 */
BgL_tmpz00_1687 = BgL_charz00_1202
; }  else 
{ 
 obj_t BgL_auxz00_1690;
BgL_auxz00_1690 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1515z00zz__ucs2z00, 
BINT(12499L), BGl_string1542z00zz__ucs2z00, BGl_string1543z00zz__ucs2z00, BgL_charz00_1202); 
FAILURE(BgL_auxz00_1690,BFALSE,BFALSE);} 
BgL_auxz00_1686 = 
CCHAR(BgL_tmpz00_1687); } 
BgL_tmpz00_1685 = 
BGl_charzd2ze3ucs2z31zz__ucs2z00(BgL_auxz00_1686); } 
return 
BUCS2(BgL_tmpz00_1685);} } 

}



/* ucs2->char */
BGL_EXPORTED_DEF unsigned char BGl_ucs2zd2ze3charz31zz__ucs2z00(ucs2_t BgL_ucs2z00_35)
{
{ /* Llib/ucs2.scm 282 */
{ /* Llib/ucs2.scm 283 */
 int BgL_intz00_785;
{ /* Llib/ucs2.scm 271 */
 obj_t BgL_tmpz00_1697;
BgL_tmpz00_1697 = 
BUCS2(BgL_ucs2z00_35); 
BgL_intz00_785 = 
CUCS2(BgL_tmpz00_1697); } 
if(
(
(long)(BgL_intz00_785)<256L))
{ /* Llib/ucs2.scm 284 */
return 
(char)(
BGl_integerzd2ze3charz31zz__r4_characters_6_6z00(
(long)(BgL_intz00_785)));}  else 
{ /* Llib/ucs2.scm 286 */
 obj_t BgL_tmpz00_1706;
{ /* Llib/ucs2.scm 286 */
 obj_t BgL_aux1511z00_1269;
BgL_aux1511z00_1269 = 
BGl_errorz00zz__errorz00(BGl_symbol1544z00zz__ucs2z00, BGl_string1546z00zz__ucs2z00, 
BUCS2(BgL_ucs2z00_35)); 
if(
CHARP(BgL_aux1511z00_1269))
{ /* Llib/ucs2.scm 286 */
BgL_tmpz00_1706 = BgL_aux1511z00_1269
; }  else 
{ 
 obj_t BgL_auxz00_1711;
BgL_auxz00_1711 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1515z00zz__ucs2z00, 
BINT(12870L), BGl_string1545z00zz__ucs2z00, BGl_string1543z00zz__ucs2z00, BgL_aux1511z00_1269); 
FAILURE(BgL_auxz00_1711,BFALSE,BFALSE);} } 
return 
CCHAR(BgL_tmpz00_1706);} } } 

}



/* &ucs2->char */
obj_t BGl_z62ucs2zd2ze3charz53zz__ucs2z00(obj_t BgL_envz00_1203, obj_t BgL_ucs2z00_1204)
{
{ /* Llib/ucs2.scm 282 */
{ /* Llib/ucs2.scm 283 */
 unsigned char BgL_tmpz00_1716;
{ /* Llib/ucs2.scm 283 */
 ucs2_t BgL_auxz00_1717;
{ /* Llib/ucs2.scm 283 */
 obj_t BgL_tmpz00_1718;
if(
UCS2P(BgL_ucs2z00_1204))
{ /* Llib/ucs2.scm 283 */
BgL_tmpz00_1718 = BgL_ucs2z00_1204
; }  else 
{ 
 obj_t BgL_auxz00_1721;
BgL_auxz00_1721 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1515z00zz__ucs2z00, 
BINT(12786L), BGl_string1547z00zz__ucs2z00, BGl_string1517z00zz__ucs2z00, BgL_ucs2z00_1204); 
FAILURE(BgL_auxz00_1721,BFALSE,BFALSE);} 
BgL_auxz00_1717 = 
CUCS2(BgL_tmpz00_1718); } 
BgL_tmpz00_1716 = 
BGl_ucs2zd2ze3charz31zz__ucs2z00(BgL_auxz00_1717); } 
return 
BCHAR(BgL_tmpz00_1716);} } 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__ucs2z00(void)
{
{ /* Llib/ucs2.scm 14 */
return 
BGl_modulezd2initializa7ationz75zz__errorz00(88804785L, 
BSTRING_TO_STRING(BGl_string1548z00zz__ucs2z00));} 

}

#ifdef __cplusplus
}
#endif
